#ifndef	___TestHaikuWindow_H_
#define	___TestHaikuWindow_H_
//------------------------------------------------------------------------------
// BeOS
#include <MenuBar.h>
#include <MessageFilter.h>
// C++
// Add2
#include <Window.h>
// Proj
//------------------------------------------------------------------------------
class	TTestHaikuView;
//==============================================================================
class	TTestHaikuWindow : public BWindow
{
public:
	TTestHaikuWindow(BRect oFrame);
	virtual	~TTestHaikuWindow();

	virtual void	Quit();
	virtual bool	QuitRequested();
protected:
private:
	typedef	BWindow	SUPER;	// スーパークラス

	void			CreateMenu();				// メニューの作成
	void			DestroyMenu();				// メニューの破棄
	virtual void	MessageReceived(BMessage* oMsg);
	void			MouseDown(BMessage* oMsg);
	void			SetWinTitle();				// タイトルの設定

	BMenuBar*		mMBar;						// メニューバー
	TTestHaikuView*	mTestHaikuView;				// メインビュー
};
//==============================================================================
class	TMouseDownFilter : public BMessageFilter
{
public:
	TMouseDownFilter();

private:
	typedef	BMessageFilter	SUPER;

	virtual filter_result	Filter(BMessage* oMsg, BHandler** oTgt);
};
//==============================================================================
#endif	// ___TestHaikuWindow_H_
